Subject: Re: bug#24968: 26.0.50; tex-terminate-paragraph not bound to C-j

From: Arash Esbati <[email-masked]>
Date: Tue, 05 Mar 2024 08:50:05 +0100

Wouter Beek <[email-masked]> writes:

>   1. Open a buffer in LaTeX/P major mode.
>
>   2. Run command ‘C-h k C-j’.  The help buffer shows that ‘C-j’ is bound
>      to ‘reindent-then-newline-and-indent’.
>
>   3. Run command ‘C-h m’.  The help buffer states that ‘C-j’ is bound to
>      ‘tex-terminate-paragraph’.
>
> Problem: ‘C-j’ is not bound to the mode-specific command that is
> described in the mode documentation.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

With a recent AUCTeX, this is what I get after 'C-h m':

--8<---------------cut here---------------start------------->8---
Major mode LaTeX-mode

The major mode is LaTeX/P mode defined in latex.el:

Major mode in AUCTeX for editing LaTeX files.
See info under AUCTeX for full documentation.

Entering LaTeX mode calls the value of ‘text-mode-hook’,
then the value of ‘TeX-mode-hook’, and then the value
of ‘LaTeX-mode-hook’.

Key             Binding

C-j		reindent-then-newline-and-indent
--8<---------------cut here---------------end--------------->8---

which seems correct to me.  Therefore, I'm closing this report.

Best, Arash